Subject: bug#74375: 30.0.92; feature request: info manual name inside buffer name

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Nov 2024 13:37:32 +0200

> From: Christopher Howard <[email-masked]>
> Date: Fri, 15 Nov 2024 14:42:38 -0900
> 
> Hello, as a feature request, I was wondering if we would consider modifying info.el somehow so that the buffer names generated for info buffers would include the name of the manual. I frequently have multiple info manuals open simultanously, which I am referring to frequently. The most natural way to switch back and forth between them is switch-to-buffer, but the default names generated — *info<n>* — are not helpful for this, as it is hard to remember which manual ended up with which number.

You are supposed to use "C-h R" to switch to another manual.  If the
manual is already loaded, Emacs will switch to its buffer.  The
command offers completion, so typing the name of the manual is easy.

Does "C-h R" solve your problem?  If not, why not?